Docs
Ctrl K
APIAgentsCreate Agent

Create Agent

Create a new agent. name is required, and the outbound object (the settings used when the agent places outbound calls) must be included. waitingSound must be "", keyboard_typing or hold_music, and maxCallTime must be a whole number (0 = no limit). tools is a list of tool IDs. Responds 201 with the new agent.

Created: April 22, 2025

Updated: September 16, 2026

Overview

POST

https://dashboard.vinsi.ai/api/agents

Request

Headers

Content-Type

string

application/json
x-api-key

string

REQUIRED

Request Body

{21 items
"name":string"New Agent"
"voiceId":string""
"welcomeMessage":string"Thank you for calling. How can..."
"instructions":string"Test"
"knowledge_base":string""
"temperature":float0.6
"vad_threshold":float0.7
"language":string"en-US"
"maxTokens":int250
"isActive":booltrue
"tools":[]0 items
"dispositions":[]0 items
"afterCallWebhookUrl":null
"timezone":string"America/Los_Angeles"
"firstActionToolId":null
"callData":{}0 items
"waitingSound":string""
"allowInterruptions":string"yes"
"turnDetectionSensitivity":float0.7
"voiceSelectionMode":string"cycling"
"outbound":{19 items
"voiceId":string""
"welcomeMessage":string"Hi, this is Acme Dental callin..."
"instructions":string"Confirm the appointment date a..."
"knowledge_base":string""
"temperature":float0.6
"vad_threshold":float0.7
"language":string"en-US"
"maxCallTime":int0
"tools":[]0 items
"dispositions":[]0 items
"afterCallWebhookUrl":null
"timezone":string"America/Los_Angeles"
"firstActionToolId":null
"callData":{}0 items
"waitingSound":string""
"voicemailMessage":string""
"allowInterruptions":string"yes"
"turnDetectionSensitivity":float0.7
"voiceSelectionMode":string"cycling"
}
}

Response

{34 items
"id":string"cmkoak2s90002l704zm7pkxbh"
"userId":string"cmg5ipqwt0000jp04a21yzv8b"
"name":string"New Agent"
"welcomeMessage":string"Thank you for calling. How can..."
"instructions":string""
"voiceId":string""
"isActive":booltrue
"createdAt":string"2026-01-21T17:22:57.945Z"
"updatedAt":string"2026-01-21T17:22:58.290Z"
"temperature":float0.6
"maxTokens":int250
"language":string"en-US"
"organizationId":string"cmg5ipsl00001jp04ujljuq2w"
"vad_threshold":float0.7
"knowledge_base":string""
"dispositions":[]0 items
"timezone":string"America/Los_Angeles"
"afterCallWebhookUrl":null
"outbound_id":string"cmkoak2ut0004l70405u76dw8"
"mode":string"prompt"
"workflowDefinition":null
"firstActionToolId":null
"callData":{}0 items
"waitingSound":string""
"currentHistoryId":int1548
"integrations":null
"voicemailMessage":string""
"allowInterruptions":string""
"turnDetectionSensitivity":float0.7
"turnDetectionSettings":{8 items
"minEndpointingDelay":float0.5
"maxEndpointingDelay":int3
"minInterruptionDuration":float0.35
"minInterruptionWords":int1
"userAwayTimeout":int15
"preemptiveGeneration":booltrue
"agentFalseInterruptionTimeout":int4
"vadMode":string"fast"
}
"voiceIds":[1 item
0:string"uYXf8XasLslADfZ2MB4u"
]
"voiceSelectionMode":string"cycling"
"outbound":{34 items
"id":string"cmkoak2ut0004l70405u76dw8"
"userId":string"cmg5ipqwt0000jp04a21yzv8b"
"name":string"New Agent"
"welcomeMessage":string"Thank you for calling. How can..."
"instructions":string""
"aimodel":string"gpt-4o"
"voiceId":null
"isActive":booltrue
"createdAt":string"2026-01-21T17:22:58.037Z"
"updatedAt":string"2026-01-21T17:22:58.400Z"
"temperature":float0.6
"maxTokens":null
"language":string"en-US"
"organizationId":string"cmg5ipsl00001jp04ujljuq2w"
"vad_threshold":float0.7
"knowledge_base":string""
"dispositions":[]0 items
"timezone":string"America/Los_Angeles"
"afterCallWebhookUrl":null
"outbound_id":null
"mode":string"prompt"
"workflowDefinition":null
"firstActionToolId":null
"callData":{}0 items
"waitingSound":string""
"currentHistoryId":int1547
"integrations":null
"voicemailMessage":string""
"allowInterruptions":string"yes"
"turnDetectionSensitivity":float0.7
"turnDetectionSettings":{8 items
"minEndpointingDelay":float0.5
"maxEndpointingDelay":int3
"minInterruptionDuration":float0.35
"minInterruptionWords":int1
"userAwayTimeout":int15
"preemptiveGeneration":booltrue
"agentFalseInterruptionTimeout":int4
"vadMode":string"fast"
}
"voiceIds":[1 item
0:string"uYXf8XasLslADfZ2MB4u"
]
"voiceSelectionMode":string"cycling"
"tools":[]0 items
}
"tools":[]0 items
}

Endpoint Explorer

Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.

POST

Headers

Content-Type: *
x-api-key: *

Response

No response yet. Click Send to test the API.